import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cloud.reserved_fixed_ips.list(
project_id=1,
region_id=4,
)
page = page.results[0]
print(page.network_id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Cloud.ReservedFixedIPs.List(context.TODO(), cloud.ReservedFixedIPListParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(4),
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/cloud/v1/reserved_fixed_ips/{project_id}/{region_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/reserved_fixed_ips/{project_id}/{region_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"allowed_address_pairs": [
{
"ip_address": "192.168.123.20",
"mac_address": "00:16:3e:f2:87:16"
},
{
"ip_address": "192.168.0.2",
"mac_address": "00:16:3e:f2:87:89"
}
],
"attachments": [
{
"resource_id": "e3c6ee77-48cb-416b-b204-11b492cc776e3",
"resource_type": "instance"
},
{
"resource_id": "e73a4dbd-da04-4b6e-8ef9-07e8742001b7",
"resource_type": "ai_cluster"
}
],
"created_at": "2019-06-18T11:56:16+0000",
"is_external": false,
"is_vip": false,
"name": "Reserved fixed ip 10.100.179.44",
"network": {
"created_at": "2019-06-18T11:56:16+0000",
"creator_task_id": "fd50fdd1-0482-4c9b-b847-fc9924665af6",
"default": true,
"external": true,
"id": "eed97610-708d-43a5-a9a5-caebd2b7b4ee",
"mtu": 1500,
"name": "public",
"port_security_enabled": true,
"project_id": 1337,
"region": "Luxembourg 1",
"region_id": 7,
"segmentation_id": 9,
"shared": false,
"subnets": [
"f00624ab-41bc-4d54-a723-1673ce32d997",
"41e0f698-4d39-483b-b77a-18eb070e4c09"
],
"tags": [
{
"key": "my-tag",
"read_only": false,
"value": "my-tag-value"
}
],
"task_id": null,
"type": "vlan",
"updated_at": "2019-06-18T11:57:00+0000"
},
"network_id": "eed97610-708d-43a5-a9a5-caebd2b7b4ee",
"port_id": "817c8a3d-bb67-4b88-a0d1-aec980318ff1",
"region": "Luxembourg 1",
"region_id": 7,
"reservation": {
"resource_id": "83ed4ea6-bcae-4100-9e4d-36e541ff919b",
"resource_type": "instance",
"status": "attached"
},
"status": "DOWN",
"updated_at": "2019-06-18T11:57:00+0000",
"creator_task_id": "30378aea-9343-4ff6-be38-9756094e05da",
"fixed_ip_address": "10.100.179.44",
"fixed_ipv6_address": null,
"project_id": 1337,
"subnet_id": "747db04a-2aac-4fda-9492-d9b85a798c09",
"subnet_v6_id": null,
"task_id": null
}
]
}List reserved fixed IPs
List all reserved fixed IPs in the specified project and region.
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cloud.reserved_fixed_ips.list(
project_id=1,
region_id=4,
)
page = page.results[0]
print(page.network_id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Cloud.ReservedFixedIPs.List(context.TODO(), cloud.ReservedFixedIPListParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(4),
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
1
Region ID
4
Query Parameters
Set True if response should only list IP addresses that are not attached to any instance
Filter IPs by device ID it is attached to
Set to true if the response should only list public IP addresses
Set to true if the response should only list private IP addresses
Optional. An IPv4 address to filter results by. Regular expression allowed
Optional. Limit the number of returned items
x <= 10001000
Optional. Offset value is used to exclude the first set of records from the result
x >= 00
Optional. Ordering reserved fixed IP list result by name, status, updated_at, fixed_ip_address or created_at fields of the reserved fixed IP and directions (status.asc).
created_at.asc, created_at.desc, fixed_ip_address.asc, fixed_ip_address.desc, name.asc, name.desc, status.asc, status.desc, updated_at.asc, updated_at.desc Set to true if the response should only list VIPs
Was this page helpful?